[Rainmeter]
Simplesentence created by WhiteBaron
Update=500

;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

[Variables]
Font=GeoSansLight
Colour=255, 255, 255

;----------MEASURES----------

[MeasureTrack]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackName

[MeasureArtist]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetCurrentTrackArtist

[MeasurePrev]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PreviousTrack

[MeasurePlayPause]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=PlayPause

[MeasureNext]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=NextTrack

[MeasureTime]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPosition

[MeasureMinute]
Measure=Calc
Formula=(MeasureTime - (MeasureTime % 60)) /60

[MeasureTens]
Measure=Calc
Formula=(MeasureTime % 60) < 10 ? 0 : 1
Substitute="1":""

[MeasureSecond]
Measure=Calc
Formula=MeasureTime % 60

[MeasureRoundlineBack]
Measure=Calc
Formula=1

[MeasureRoundline]
Measure=Plugin
Plugin=Plugins\iTunesPlugin.dll
Command=GetPlayerPositionPercent
MaxValue=100

;----------METERS------------

[MeterListening]
Meter=String
Text="Now Playing"
X=65
Y=0
W=500
H=40
FontColor=#Colour#, 255
FontSize=14
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterTitle]
Meter=String
MeasureName=MeasureTrack
X=45
Y=20
W=500
H=20
StringStyle=ITALIC
FontColor=#Colour#, 255
FontSize=16
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterPerformed]
Meter=String
Text="as performed by"
X=105
Y=45
FontColor=#Colour#, 230
FontSize=12
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterArtist]
Meter=String
MeasureName=MeasureArtist
X=65
Y=70
StringStyle=ITALIC
FontColor=#Colour#, 230
FontSize=15
FontFace=#Font#
StringAlign=Left
AntiAlias=1

[MeterPrev]
Meter=String
Text="7"
X=65
Y=50
FontColor=#Colour#, 200
FontSize=9
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasurePrev"]
AntiAlias=1

[MeterPlayPause]
Meter=String
Text=";"
X=75
Y=50
FontColor=#Colour#, 200
FontSize=9
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasurePlayPause"]
AntiAlias=1

[MeterNext]
Meter=String
Text="8"
X=85
Y=50
FontColor=#Colour#, 200
FontSize=9
FontFace=Webdings
StringStyle=Bold
StringAlign=Left
LeftMouseDownAction=!Execute [!RainmeterPluginBang "MeasureNext"]
AntiAlias=1

[MeterTime]
Meter=String
MeasureName=MeasureMinute
MeasureName2=MeasureTens
MeasureName3=MeasureSecond
Text="%1:%2%3"
X=41
Y=47
FontColor=#Colour#, 255
FontSize=8
FontFace=Trebuchet MS
StringAlign=Center
AntiAlias=1

[MeterRoundlineBack]
Meter=Roundline
MeasureName=MeasureRoundlineBack
X=-60
Y=-17
W=200
H=100
StartAngle=0.6
RotationAngle=4.9
LineLength=28
LineStart=32
LineColor=#Colour#, 50
Solid=1
AntiAlias=1

[MeterRoundline]
Meter=Roundline
MeasureName=MeasureRoundline
X=-60
Y=-17
W=200
H=100
StartAngle=0.6
RotationAngle=4.9
LineLength=28
LineStart=32
LineColor=#Colour#, 230
Solid=1
AntiAlias=1
